Bug 26039 - Accessibility: Shelf browser is not announced upon loading
Summary: Accessibility: Shelf browser is not announced upon loading
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Martin Renvoize
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 26038 26421
  Show dependency treegraph
 
Reported: 2020-07-22 10:13 UTC by Martin Renvoize
Modified: 2020-09-09 15:56 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:
20.11.00


Attachments
Bug 26039: Focus and Scroll to ShelfBrowser on load (1.26 KB, patch)
2020-08-13 12:19 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 26039: Focus and Scroll to ShelfBrowser on load (4.42 KB, patch)
2020-08-13 13:12 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 26039: Focus and Scroll to ShelfBrowser on load (4.48 KB, patch)
2020-08-18 11:01 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 26039: Focus and Scroll to ShelfBrowser on load (4.48 KB, patch)
2020-08-18 21:45 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 26039: Focus and Scroll to ShelfBrowser on load (4.56 KB, patch)
2020-08-19 07:30 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Renvoize 2020-07-22 10:13:46 UTC
When the ‘Browse shelf’ links are selected, a carousel is presented below the table.
However, this isn’t announced by screen reader software which means some users may be
unaware that additional content has been made available and unable to determine the
purpose of the links.

Solution:
Ensure screen reader users are informed of important information when it becomes
available. Consider implementing status messages so that important information can be
presented to users of assistive technologies without receiving focus.
Comment 1 Martin Renvoize 2020-07-22 10:24:11 UTC
I'm not entirely sure why the 'Browsing "your library"' title of the shelf browser itself doesn't count.. perhaps it's just not being picked up correctly by screen readers and we need to add a hint somehow for that to happen?
Comment 2 Martin Renvoize 2020-08-13 12:19:37 UTC
Created attachment 108174 [details] [review]
Bug 26039: Focus and Scroll to ShelfBrowser on load

When the shelf browser link is clicked we perform a full page reload
which results in a reset in the context. We should immediately focus the
shelf browser and scroll to that region to highlight the change of
content.
Comment 3 Martin Renvoize 2020-08-13 13:12:46 UTC
Created attachment 108178 [details] [review]
Bug 26039: Focus and Scroll to ShelfBrowser on load

When the shelf browser link is clicked we perform a full page reload
which results in a reset in the context. We should immediately focus the
shelf browser and scroll to that region to highlight the change of
content.

Test plan
1/ Enable shelf browser
2/ Search for an item in the open and navigate to the detail page
3/ Click the 'Browse shelf' link
4/ Note that upon page reload the screen scrolls to the 'Browsing...'
location of the screen.
5/ Note that the 'Browsing...' title is  'focused'
6/ Signoff.
Comment 4 ByWater Sandboxes 2020-08-18 11:01:47 UTC
Created attachment 108457 [details] [review]
Bug 26039: Focus and Scroll to ShelfBrowser on load

When the shelf browser link is clicked we perform a full page reload
which results in a reset in the context. We should immediately focus the
shelf browser and scroll to that region to highlight the change of
content.

Test plan
1/ Enable shelf browser
2/ Search for an item in the open and navigate to the detail page
3/ Click the 'Browse shelf' link
4/ Note that upon page reload the screen scrolls to the 'Browsing...'
location of the screen.
5/ Note that the 'Browsing...' title is  'focused'
6/ Signoff.

Signed-off-by: Stina Hallin <stina.hallin@ub.lu.se>
Comment 5 Katrin Fischer 2020-08-18 21:45:55 UTC
Created attachment 108562 [details] [review]
Bug 26039: Focus and Scroll to ShelfBrowser on load

When the shelf browser link is clicked we perform a full page reload
which results in a reset in the context. We should immediately focus the
shelf browser and scroll to that region to highlight the change of
content.

Test plan
1/ Enable shelf browser
2/ Search for an item in the open and navigate to the detail page
3/ Click the 'Browse shelf' link
4/ Note that upon page reload the screen scrolls to the 'Browsing...'
location of the screen.
5/ Note that the 'Browsing...' title is  'focused'
6/ Signoff.

Signed-off-by: Stina Hallin <stina.hallin@ub.lu.se>
Comment 6 Jonathan Druart 2020-08-19 07:30:41 UTC
Created attachment 108573 [details] [review]
Bug 26039: Focus and Scroll to ShelfBrowser on load

When the shelf browser link is clicked we perform a full page reload
which results in a reset in the context. We should immediately focus the
shelf browser and scroll to that region to highlight the change of
content.

Test plan
1/ Enable shelf browser
2/ Search for an item in the open and navigate to the detail page
3/ Click the 'Browse shelf' link
4/ Note that upon page reload the screen scrolls to the 'Browsing...'
location of the screen.
5/ Note that the 'Browsing...' title is  'focused'
6/ Signoff.

Signed-off-by: Stina Hallin <stina.hallin@ub.lu.se>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

JD amended patch: correctly align JS code
Comment 7 Jonathan Druart 2020-08-19 07:36:22 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 8 Lucas Gass 2020-09-04 16:13:07 UTC
enhancement, will not be backpoted to 20.05.x